﻿// ------------------------------------------------------------
//  Copyright (c) Microsoft Corporation.  All rights reserved.
//  Licensed under the MIT License (MIT). See LICENSE in the repo root for license information.
// ------------------------------------------------------------

namespace Microsoft.OpenApi.OData.Vocabulary.Capabilities
{
    /// <summary>
    /// Term name of the Capabilities Vocabulary
    /// </summary>
    internal class CapabilitiesConstants
    {
        /// <summary>
        /// Org.OData.Capabilities.V1.ReadRestrictions
        /// </summary>
        public const string ReadRestrictions = "Org.OData.Capabilities.V1.ReadRestrictions";

        /// <summary>
        /// Org.OData.Capabilities.V1.ChangeTracking
        /// </summary>
        public const string ChangeTracking = "Org.OData.Capabilities.V1.ChangeTracking";

        /// <summary>
        /// Org.OData.Capabilities.V1.FilterRestrictions
        /// </summary>
        public const string FilterRestrictions = "Org.OData.Capabilities.V1.FilterRestrictions";

        /// <summary>
        /// Org.OData.Capabilities.V1.SortRestrictions
        /// </summary>
        public const string SortRestrictions = "Org.OData.Capabilities.V1.SortRestrictions";

        /// <summary>
        /// Org.OData.Capabilities.V1.NavigationRestrictions
        /// </summary>
        public const string NavigationRestrictions = "Org.OData.Capabilities.V1.NavigationRestrictions";

        /// <summary>
        /// Org.OData.Capabilities.V1.SearchRestrictions
        /// </summary>
        public const string SearchRestrictions = "Org.OData.Capabilities.V1.SearchRestrictions";

        /// <summary>
        /// Org.OData.Capabilities.V1.CountRestrictions
        /// </summary>
        public const string CountRestrictions = "Org.OData.Capabilities.V1.CountRestrictions";

        /// <summary>
        /// Org.OData.Capabilities.V1.ExpandRestrictions
        /// </summary>
        public const string ExpandRestrictions = "Org.OData.Capabilities.V1.ExpandRestrictions";

        /// <summary>
        /// Org.OData.Capabilities.V1.DeleteRestrictions
        /// </summary>
        public const string DeleteRestrictions = "Org.OData.Capabilities.V1.DeleteRestrictions";

        /// <summary>
        /// Org.OData.Capabilities.V1.DeleteRestrictions
        /// </summary>
        public const string UpdateRestrictions = "Org.OData.Capabilities.V1.UpdateRestrictions";

        /// <summary>
        /// Org.OData.Capabilities.V1.InsertRestrictions
        /// </summary>
        public const string InsertRestrictions = "Org.OData.Capabilities.V1.InsertRestrictions";

        /// <summary>
        /// Org.OData.Capabilities.V1.TopSupported
        /// </summary>
        public const string TopSupported = "Org.OData.Capabilities.V1.TopSupported";

        /// <summary>
        /// Org.OData.Capabilities.V1.SkipSupported
        /// </summary>
        public const string SkipSupported = "Org.OData.Capabilities.V1.SkipSupported";

        /// <summary>
        /// Term: Org.OData.Capabilities.V1.BatchSupported
        /// </summary>
        public const string BatchSupported = "Org.OData.Capabilities.V1.BatchSupported";

        /// <summary>
        /// Term: rg.OData.Capabilities.V1.OperationRestrictions
        /// </summary>
        public const string OperationRestrictions = "Org.OData.Capabilities.V1.OperationRestrictions";

        /// <summary>
        /// Org.OData.Capabilities.V1.IndexableByKey
        /// </summary>
        public const string IndexableByKey = "Org.OData.Capabilities.V1.IndexableByKey";

        /// <summary>
        /// Org.OData.Capabilities.V1.KeyAsSegmentSupported
        /// </summary>
        public const string KeyAsSegmentSupported = "Org.OData.Capabilities.V1.KeyAsSegmentSupported";
    }
}
